<?xml version="1.0" encoding="utf-8"?>
<CodeLite_Project Name="Server">
  <VirtualDirectory Name="Source Files">
    <File Name="main.cpp"/>
  </VirtualDirectory>
  <VirtualDirectory Name="Header Files"/>
  <Settings Type="Executable">
    <Configuration Name="Debug" CompilerType="gnu g++" DebuggerType="GNU gdb debugger">
      <General OutputFile="../../bin/UnsignedByte" IntermediateDirectory="./Debug" Command="./UnsignedByte" CommandArguments="" WorkingDirectory="../bin" PauseExecWhenProcTerminates="yes"/>
      <Compiler Required="yes" Options="-g -Wall">
        <IncludePath Value="."/>
        <IncludePath Value="../Sockets"/>
        <IncludePath Value="../Resource"/>
        <IncludePath Value="../DAL"/>
        <IncludePath Value="../DB/Generated"/>
        <IncludePath Value="../DB/Savables"/>
        <IncludePath Value="../DB/Managers"/>
        <IncludePath Value="../Core/Socket"/>
      </Compiler>
      <Linker Required="yes" Options="">
        <LibraryPath Value="."/>
        <LibraryPath Value="../../lib"/>
        <Library Value="ubcore"/>
        <Library Value="ubdb"/>
        <Library Value="ubdal"/>
        <Library Value="ubresource"/>
        <Library Value="ubsockets"/>
        <Library Value="sqlite3"/>
        <Library Value="pthread"/>
        <Library Value="dl"/>
      </Linker>
      <ResourceCompiler Required="no" Options=""/>
      <PreBuild/>
      <PostBuild/>
      <CustomBuild Enabled="no">
        <CleanCommand/>
        <BuildCommand/>
        <SingleFileCommand/>
        <MakefileGenerationCommand/>
        <ThirdPartyToolName>None</ThirdPartyToolName>
        <WorkingDirectory/>
      </CustomBuild>
      <AdditionalRules>
        <CustomPostBuild/>
        <CustomPreBuild/>
      </AdditionalRules>
    </Configuration>
    <Configuration Name="MN" CompilerType="gnu g++" DebuggerType="GNU gdb debugger">
      <General OutputFile="../../bin/UnsignedByte" IntermediateDirectory="./Debug" Command="./UnsignedByte" CommandArguments="" WorkingDirectory="../bin" PauseExecWhenProcTerminates="yes"/>
      <Compiler Required="yes" Options="-g -Wall">
        <IncludePath Value="."/>
        <IncludePath Value="../Sockets"/>
        <IncludePath Value="../Resource"/>
        <IncludePath Value="../DAL"/>
        <IncludePath Value="../DB"/>
        <IncludePath Value="../Core"/>
      </Compiler>
      <Linker Required="yes" Options="-static">
        <LibraryPath Value="."/>
        <LibraryPath Value="../../lib"/>
        <Library Value="ubcore"/>
        <Library Value="ubdb"/>
        <Library Value="ubdal"/>
        <Library Value="ubresource"/>
        <Library Value="ubsockets"/>
        <Library Value="sqlite3"/>
        <Library Value="pthread"/>
        <Library Value="dl"/>
      </Linker>
      <ResourceCompiler Required="no" Options=""/>
      <PreBuild/>
      <PostBuild/>
      <CustomBuild Enabled="no">
        <CleanCommand/>
        <BuildCommand/>
        <SingleFileCommand/>
        <MakefileGenerationCommand/>
        <ThirdPartyToolName>None</ThirdPartyToolName>
        <WorkingDirectory/>
      </CustomBuild>
      <AdditionalRules>
        <CustomPostBuild/>
        <CustomPreBuild/>
      </AdditionalRules>
    </Configuration>
    <Configuration Name="Profiling" CompilerType="gnu g++" DebuggerType="GNU gdb debugger">
      <General OutputFile="../bin/UnsignedByte" IntermediateDirectory="./Profiling" Command="./UnsignedByte" CommandArguments="" WorkingDirectory="../bin" PauseExecWhenProcTerminates="yes"/>
      <Compiler Required="yes" Options="-g -Wall -pg">
        <IncludePath Value="."/>
        <IncludePath Value="../include"/>
        <IncludePath Value="$(HOME)/local/include"/>
        <IncludePath Value="../Core/"/>
      </Compiler>
      <Linker Required="yes" Options="-pg">
        <LibraryPath Value="."/>
        <LibraryPath Value="../lib"/>
        <LibraryPath Value="$(HOME)/local/lib"/>
        <Library Value="pthread"/>
        <Library Value="dl"/>
        <Library Value="ubresource"/>
        <Library Value="ubdal"/>
        <Library Value="sqlite3"/>
        <Library Value="ubcore"/>
        <Library Value="ubresource"/>
      </Linker>
      <ResourceCompiler Required="no" Options=""/>
      <PreBuild/>
      <PostBuild/>
      <CustomBuild Enabled="no">
        <CleanCommand/>
        <BuildCommand/>
        <SingleFileCommand/>
        <MakefileGenerationCommand/>
        <ThirdPartyToolName>None</ThirdPartyToolName>
        <WorkingDirectory/>
      </CustomBuild>
      <AdditionalRules>
        <CustomPostBuild/>
        <CustomPreBuild/>
      </AdditionalRules>
    </Configuration>
    <Configuration Name="Release" CompilerType="gnu g++" DebuggerType="GNU gdb debugger">
      <General OutputFile="$(IntermediateDirectory)/$(ProjectName)" IntermediateDirectory="./Release" Command="./$(ProjectName)" CommandArguments="" WorkingDirectory="$(IntermediateDirectory)" PauseExecWhenProcTerminates="yes"/>
      <Compiler Required="yes" Options="">
        <IncludePath Value="."/>
      </Compiler>
      <Linker Required="yes" Options="-O2"/>
      <ResourceCompiler Required="no" Options=""/>
      <PreBuild/>
      <PostBuild/>
      <CustomBuild Enabled="no">
        <CleanCommand/>
        <BuildCommand/>
        <SingleFileCommand/>
        <MakefileGenerationCommand/>
        <ThirdPartyToolName/>
        <WorkingDirectory/>
      </CustomBuild>
      <AdditionalRules>
        <CustomPostBuild/>
        <CustomPreBuild/>
      </AdditionalRules>
    </Configuration>
  </Settings>
  <Dependencies>
    <Project Name="Sockets"/>
    <Project Name="Resource"/>
    <Project Name="DAL"/>
    <Project Name="Generator"/>
    <Project Name="DB"/>
    <Project Name="Initializer"/>
    <Project Name="Core"/>
  </Dependencies>
</CodeLite_Project>
